#ifndef __OPENGL_OPENGLTEXTUREFACTORY_H__
#define __OPENGL_OPENGLTEXTUREFACTORY_H__

#include "../texturefactory.h"
#include "opengltexture.h"

class OpenGLTextureFactory : public TextureFactory {
public:
	OpenGLTextureFactory() {}
	virtual ~OpenGLTextureFactory() {}

	// eNX`쐬
	virtual Texture *create(const Texture::Desc &desc, void* buffer) {
		OpenGLTexture *newTex = new OpenGLTexture;
		newTex->create(desc, buffer);
		return newTex;
	}
};

#endif
